# The values below are for a copy of MOAB used directly
# from its build directory. These values will be overridden below
# for installed copies of MOAB.

# Feature list
MOAB_MPI_ENABLED = 
MOAB_FORTRAN_ENABLED = ON
MOAB_HDF5_ENABLED = 
MOAB_NETCDF_ENABLED = 
MOAB_PNETCDF_ENABLED = 
MOAB_IGEOM_ENABLED = 
MOAB_IMESH_ENABLED = 
MOAB_IREL_ENABLED = 
MOAB_FBIGEOM_ENABLED = 
MOAB_MESQUITE_ENABLED = 

# Library and Include paths
MOAB_LIBDIR = /construction/math/moab/.build/src/.libs
MOAB_INCLUDES = -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src \
                -I/construction/math/moab/.build/src \
                -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/oldinc \
                -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/verdict \
                -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/parallel \
                -I/construction/math/moab/.build/src/parallel \
                -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/LocalDiscretization \
                -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/RefineMesh

ifeq ($(MOAB_IGEOM_ENABLED),yes)
include 
MOAB_INCLUDES += $(IGEOM_INCLUDES)
endif

ifeq ($(MOAB_MESQUITE_ENABLED),yes)
MSQ_LIBS = -L/construction/math/moab/.build/src/mesquite/.libs -lmbmesquite
MSQ_INCLUDES = -I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/include \
	-I/construction/math/moab/.build/src/mesquite/include \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/Mesh \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/Control \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/Wrappers \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/MappingFunction \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/MappingFunction/Lagrange \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/MappingFunction/Linear \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/Misc \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/ObjectiveFunction \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityAssessor \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityImprover \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityImprover/OptSolvers \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityImprover/Relaxation \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/Debug \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/Shape \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/Smoothness \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/TMP \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/Untangle \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/QualityMetric/Volume \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetCalculator \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/Misc \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/Shape \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/ShapeOrient \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/ShapeSize \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/ShapeSizeOrient \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/Size \
	-I/construction/math/moab/fathomteam-moab-7bde9dfb84a8/src/mesquite/TargetMetric/Untangle

MOAB_INCLUDES += ${MSQ_INCLUDES}
endif

MOAB_INCLUDES += 

MOAB_CPPFLAGS = -pipe -O2 -fno-strict-aliasing -pedantic -fpic -Wall -Wno-long-long -Wextra -Wno-cast-align -Wsign-compare -Wpointer-arith -Wformat -Wformat-security -Wunused-parameter -fstack-protector-all -mtune=native -fpermissive -Wno-ignored-attributes -Wno-variadic-macros -Wno-deprecated-declarations -Wno-unused-local-typedefs -funroll-loops -funroll-all-loops -fstrict-aliasing -Wno-unused -I/usr/local/include/eigen3 -DUSE_MPI 
MOAB_CXXFLAGS =  -pipe -O2 -fno-strict-aliasing 
MOAB_CFLAGS = -pipe -O2 -fno-strict-aliasing 
MOAB_FFLAGS = -funroll-all-loops -fno-f2c -O2
MOAB_FCFLAGS = 
MOAB_LDFLAGS =   

MOAB_EXT_LIBS =       \
                     \
                    
MOAB_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR} -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS) 
DAGMC_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR}  -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS)

MOAB_CXX = /usr/bin/c++
MOAB_CC  = /usr/bin/cc
MOAB_FC  = /usr/local/bin/gfortran8
MOAB_F77  = /usr/local/bin/gfortran8

# Override MOAB_LIBDIR and MOAB_INCLUDES from above with the correct
# values for the installed MOAB.

